Page MenuHomePhabricator

Treat -g1 as -gline-tables-only
ClosedPublic

Authored by hfinkel on Oct 19 2014, 4:06 PM.

Details

Reviewers
dblaikie
echristo
Summary

To follow-up on this thread on cfe-dev: http://lists.cs.uiuc.edu/pipermail/cfe-dev/2014-October/039649.html

-g1 on gcc (and also IBM's xlc) are documented to be very similar to -gline-tables-only. Our -gline-tables-only might still be more verbose than -g1 on other compilers, but currently we treat -g1 as -g, and so we're producing much more debug info at -g1 than everybody else. Treating -g1 as -gline-tables-only brings us much closer to what everyone else is doing.

Diff Detail

Event Timeline

hfinkel updated this revision to Diff 15131.Oct 19 2014, 4:06 PM
hfinkel retitled this revision from to Treat -g1 as -gline-tables-only.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: echristo, dblaikie.
hfinkel added a subscriber: Unknown Object (MLST).
echristo accepted this revision.Oct 20 2014, 1:27 PM
echristo edited edge metadata.

(The other questions aside the patch looks fine).

This revision is now accepted and ready to land.Oct 20 2014, 1:27 PM
hfinkel closed this revision.Oct 21 2014, 12:31 PM

r220311, thanks!